package com.tzld.longarticle.recommend.server.mapper.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.DatastatScore;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.ArticlePoolPromotionSource;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.DatastatSortStrategy;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface LongArticleBaseMapper {

    void deleteByDateStrGreaterThanEqual(String dateStr);

    void deleteByDateStrBetween(String dateStrBegin, String dateStrEnd);

    void batchInsertDatastatSortStrategy(List<DatastatSortStrategy> list);

    void batchInsertArticlePoolPromotionSource(List<ArticlePoolPromotionSource> list);

    void updateRootProduceContentLevel(String rootProduceContentId, String level);

    void batchInsertDatastatScore(List<DatastatScore> list);
}
