package com.tzld.longarticle.recommend.server.service.exterior;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.vo.GhDetailVo;
import com.tzld.longarticle.recommend.server.repository.model.GhDetail;
import com.tzld.longarticle.recommend.server.util.page.Page;

public interface GhDetailService {

    CommonResponse<Page<GhDetailVo>> getGhDetailList(Integer pageNum, Integer pageSize, String ghId);

    CommonResponse<Void> addGhDetail(GhDetailVo ghDetailVo);

    CommonResponse<Void> updateDetail(GhDetailVo ghDetailVo);

    CommonResponse<Void> refreshGhDetail();
}
